Entware-ng - основные сведения

Используем пакеты, расширяющие возможности оборудования
Аватара пользователя
Zyxmon
Администратор
Сообщения: 1049
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 27 окт 2016, 09:57

Pasha_ZZZ писал(а):Источник цитаты сейчас это N16 и N18U, на самых свежих DD-WRT (3x и 4x соответственно).

Ставьте Entware-3x. Неужели пары мегабайт на usb жалко?

Pasha_ZZZ
Сообщения: 25
Зарегистрирован: 31 окт 2015, 10:29

Сообщение Pasha_ZZZ » 27 окт 2016, 10:11

Zyxmon писал(а):Источник цитатыСтавьте Entware-3x. Неужели пары мегабайт на usb жалко?
Если честно - не жалко. Просто сравнивал всегда оптваре-нг и энтваре-нг, а тут на тебе - энтваре-3х, не подозревал о ее существовании...
Хотя где-то летом читал, что собираются сделать ;-)

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1049
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 01 ноя 2016, 13:24

Проведена очередная синхронизация с openwrt.

Из наиболее важных изменений:

В openwrt удалили php5 и заменили его на php7. Мы пока оставили в репозитории оба варианта. Одновременно php5 и php7 устанавливать нельзя. рекомендуем перейти на php7.

inadyn - переход на версию 2 и изменение формата конфигурации (/opt/etc/inadyn.conf): https://github.com/troglobit/inadyn#exa ... figuration

Как всегда обновлены версии пакетов, добавлены новые.
Changelog - https://github.com/Entware-ng/Entware-n ... tober-2016

yuoras
Сообщения: 33
Зарегистрирован: 21 сен 2015, 18:22

Сообщение yuoras » 31 дек 2016, 16:39

С Наступающим Новым годом всех.
Такая проблема , установил на свой нас D216j Entware-ng.
Вроде разобрался по своим требованиям.

Установил lftp , если с под рута нормально коннектится к ftp серверу , а вот если из под пользователя
получаю "mirror: Fatal error: Certificate verification: subjectAltName does not match "
Белый-Белый ZyXEL Keenetic I серии Zyxware перешёл на Entware

mapkyl
Сообщения: 4
Зарегистрирован: 15 ноя 2015, 13:44

Сообщение mapkyl » 31 дек 2016, 16:45

среди всего прочего, произошло обновление на libreadline.so.7 Но калькулятор для командной строки 'bc' требует старую версию libreadline.so.6. Можно пересобрать пакет пожалуйста? Временно вылечил созданием libreadline.so.6 в виде линка на .so.7

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1049
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 31 дек 2016, 18:57

mapkyl писал(а):Источник цитаты Можно пересобрать пакет пожалуйста? Временно вылечил

Система пакетов opkg довольно примитивна и не отслеживает такие изменения. Нужно было перустановить bc (--force-reinstall):

Код: Выделить всё

~ # bc --help
bc: error while loading shared libraries: libreadline.so.6: cannot open shared object file: No such file or directory
~ # opkg install --force-reinstall bc
Removing package bc from root...
Installing bc (1.06.95-1) to root...
Downloading http://entware-3x.zyxmon.org/binaries/mipsel/bc_1.06.95-1_mipsel-3x.ipk.
Configuring bc.
~ # bc --help
usage: bc [options] [file ...]
  -h  --help         print this usage and exit
  -i  --interactive  force interactive mode
  -l  --mathlib      use the predefined math routines
  -q  --quiet        don't print initial banner
  -s  --standard     non-standard bc constructs are errors
  -w  --warn         warn about non-standard bc constructs
  -v  --version      print version information and exit
~ #

Cryologic
Сообщения: 12
Зарегистрирован: 13 авг 2016, 17:23

Сообщение Cryologic » 01 фев 2017, 18:25

Всем привет. Надо переустановить Entware-NG Заодно поочищать и старые Entware optware/ То есть надо вернуть NAS до установки всего этого. а затем заново установить Entware-NG
NAS Synology DS212J ARM5tel
Инструкция есть?

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1049
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 01 фев 2017, 20:58

Cryologic писал(а):Источник цитаты Инструкция есть?

Напишите сами и опубликуйте на http://www.synology-forum.ru

Аватара пользователя
Zyxmon
Администратор
Сообщения: 1049
Зарегистрирован: 09 авг 2015, 14:33

Сообщение Zyxmon » 14 фев 2017, 17:32

Проведена очередная сихронизация
(1) trunk синхронизирован с lede (поскольку lede и openwrt объединяются - http://lists.infradead.org/pipermail/le ... 04786.html )
(2) пакеты с openwrt

Изменений в системе сборки buildroot много, возможны проблемы.

Пакеты на языке GO теперь собираются с помощью GO от Google, компилятор gccgo не используется, т.к. начиная с версии 1.8 поддержаны mips/mipsel 32 разряда. Есть одно ограничение (важно для dd-wrt - на прошивках dd-wrt теперь работать не будет):
Go now supports 32-bit MIPS on Linux for both big-endian (linux/mips) and little-endian machines (linux/mipsle) that implement the MIPS32r1 instruction set with FPU or kernel FPU emulation. Note that many common MIPS-based routers lack an FPU and have firmware that doesn't enable kernel FPU emulation; Go won't run on such machines.


Владельцы arm роутеров с CPU без поддержки операций с плавающей точкой дожны устанавливать теперь go пакеты с суффиксом _nohf. Например `opkg install syncthing_nohf` или 'opkg install rclone_nohf`. На НАСах с armv7 как правило есть поддержка hard float.

Pasha_ZZZ
Сообщения: 25
Зарегистрирован: 31 окт 2015, 10:29

Сообщение Pasha_ZZZ » 23 фев 2017, 19:29

Сначала отвалился mediatomb на N65U (Padavan) с Entware-ng, позже на N18U (DD-WRT) с Entware-3x (наверное потому, что синхронизация по 3х была позже). При старте - failed.


Вернуться в «Entware/Qnapware/Optware/Zyxware - обсуждаем репозитории пакетов»

Кто сейчас на конференции

Всего 2 посетителя :: 0 зарегистрированных, 0 скрытых и 2 гостя (основано на активности пользователей за последние 5 минут)
Больше всего посетителей (121) здесь было 18 май 2016, 18:19

Сейчас этот форум просматривают: нет зарегистрированных пользователей и 2 гостя